#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ 入院患者医療区分、ADL情報返却


require 'uri'
require 'net/http'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/api01rv2/hsptevalv2")
#
# 1.患者番号    Patient_ID      (REQUIRED)
# 2.診療年月    Perform_Month   (IMPLIED)
#
# REQUIRED : 必須   IMPLIED : 任意
#
BODY = <<EOF
<data>
	<private_objects type="record">
		<Patient_ID type="string">12</Patient_ID>
		<Perform_Month type="string">2013-10</Perform_Month>
	</private_objects>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)
  puts req.body

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts res.body
}

